"use strict";
import { transform } from 'sucrase';
import { pretty } from './pretty.js';

function convertTsxToJsx(code) {
  const jsx = transform(code, {
    transforms: ["jsx", "typescript"],
    jsxRuntime: "preserve"
  });
  return pretty(jsx.code, {
    parser: "babel",
    jsxSingleQuote: true,
    singleQuote: true,
    printWidth: 80
  });
}

export { convertTsxToJsx };
